Skip to main content
GET
List HAVS exposures

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • eq(id,xxx): Filter HAVS exposures by ID.
  • eq(subject,xxx): Filter HAVS exposures by the person exposed.
  • eq(recorded_by,xxx): Filter HAVS exposures by the person who recorded them.
  • eq(havs_equipment,xxx): Filter HAVS exposures by HSE Table 1 category.
  • start_time: ge(start_time,…) and le(start_time,…) bound when exposures started.
  • end_time: ge(end_time,…) and le(end_time,…) bound when exposures ended.

For more information on using named filters, see the docs

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
page
object

JSON:API pagination, as page[limit] and page[offset]. The same as the top-level limit and offset parameters; when both forms are sent, page[...] wins.

Response

Get a list of HAVS exposures.

JSON API response object

data
A list of HAVS exposures · object[]
required
meta
object
required
jsonapi
object
required